import { AbstractControl, FormGroup, FormArray } from '@angular/forms';
export interface DependentValidatorBuilder {
    affectedControls(): AbstractControl[];
    validate(): boolean;
    inverse(): DependentValidatorBuilder;
}
export interface DependentValidatorBuilderRoot<T extends FormGroup | FormArray> {
    all(firstBuilder: DependentValidatorBuilder, secondBuilder: DependentValidatorBuilder, ...builders: DependentValidatorBuilder[]): DependentValidatorBuilder;
    any(firstBuilder: DependentValidatorBuilder, secondBuilder: DependentValidatorBuilder, ...builders: DependentValidatorBuilder[]): DependentValidatorBuilder;
    validator(predicate: (value: any, form: T) => boolean, firstPath: string | number | ((form: T) => AbstractControl), ...paths: (string | number)[]): DependentValidatorBuilder;
}
export declare type DependentValidatorBuilderFactory<T extends FormGroup | FormArray> = (builder: DependentValidatorBuilderRoot<T>) => DependentValidatorBuilder;
